%define version 3.7.3
%define betaver 0
%define rel 1
%if %betaver
%define release %mkrel -c %betaver %rel
%define tarballver %version-%betaver
%else
%define release %mkrel %rel
%define tarballver %version
%endif

Name:           filezilla
Version:        %{version}
Release:        %{release}
Summary:        Fast and reliable FTP client
Group:          Networking/File transfer
License:        GPLv2+
URL:            http://filezilla-project.org/
Source0:        http://download.sourceforge.net/filezilla/FileZilla_%{tarballver}_src.tar.bz2
BuildRequires:  wxgtku2.8-devel >= 2.8.12
BuildRequires:  idn-devel
BuildRequires:  gnutls-devel
BuildRequires:	dbus-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils xdg-utils
BuildRequires:  sqlite3-devel
Requires:	xdg-utils

%description
FileZilla is a fast and reliable FTP, FTPS and SFTP client with lots
of useful features and an intuitive graphical user interface.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/fzsftp
%{_bindir}/fzputtygen
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/docs/fzdefaults.xml.example
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man*/*

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{tarballver}

%build
%configure2_5x --disable-autoupdatecheck --with-tinyxml=builtin
%make

%install
%makeinstall_std

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='GTK' \
	--add-category='X-MandrivaLinux-CrossDesktop'\
	%{buildroot}%{_datadir}/applications/*.desktop

%find_lang %{name}


%changelog
* Thu Aug 08 2013 oden <oden> 3.7.3-1.mga2
+ Revision: 464582
- 3.7.3 (fixes CVE-2013-4206, CVE-2013-4207, CVE-2013-4208)
- 3.7.2 (fixes CVE-2013-4852)
- P0: security fix for CVE-2013-4852

  + dams <dams>
    - remove patch as fix is now merged upstream (ticket #7742)
    - update BR for wxgtku2.8-devel to 2.8.12
    - new version 3.5.3
    - clean specfile

* Wed Nov 09 2011 dams <dams> 3.5.2-1.mga2
+ Revision: 165921
- Add upstream patch (ticket #7742) to fix build with gnutls >= 3
- new version 3.5.2

* Mon Aug 29 2011 dams <dams> 3.5.1-1.mga2
+ Revision: 136100
- Update to 3.5.1

  + fwang <fwang>
    - rebuild for new gnutls

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Mon May 23 2011 dams <dams> 3.5.0-1.mga1
+ Revision: 100235
- Update to 3.5.0

* Fri May 20 2011 boklm <boklm> 3.5.0-0.rc2.2.mga1
+ Revision: 99935
- rebuild as it was incorrectly uploaded

* Wed May 18 2011 dams <dams> 3.5.0-0.rc2.1.mga1
+ Revision: 99645
- New version 3.5.0 rc2

* Tue Mar 29 2011 dams <dams> 3.4.0-1.mga1
+ Revision: 78643
- Update to 3.4.0 final

  + dmorgan <dmorgan>
    - Add a debug to understand the build failure

* Wed Mar 23 2011 dams <dams> 3.4.0-0.rc1.1.mga1
+ Revision: 75892
- Remove gtk+2-devel as buildrequires as already taken by wxgtk
- Fix gtk+2-devel buildrequires
- Add gtk+2.0-devel as buildrequires
- New version 3.4.0 rc1

* Sun Jan 16 2011 ahmad <ahmad> 3.3.5.1-1.mga1
+ Revision: 19954
- add xdg-utils, configure checks if it's available
- drop old/unneeded scriptlets

  + kharec <kharec>
    - imported package filezilla

